from tkinter import *
import pygame.mixer

class MixerPanel(Frame):
    def __init__(self, app, mixer, musikdatei):
        Frame.__init__(self, app)
        self.track = mixer.Sound(musikdatei)
        self.track_läuft = IntVar()
        track_button = Checkbutton(self, variable = self.track_läuft,
                                     command = self.track_an_aus, text = musikdatei)
        track_button.pack(side = LEFT)
        self.volume = DoubleVar()
        self.volume.set(self.track.get_volume())
        laut_scale = Scale(self, variable = self.volume, from_ = 0.0, to = 1.0,
                                resolution = 0.1, command = self.laut_ändern,
                                   label = "Lautstärke", orient = HORIZONTAL)
        laut_scale.pack(side = RIGHT)

    def track_an_aus(self):
        if self.track_läuft.get() == 1:
            self.track.play(loops = -1)
        else:
            self.track.stop()

    def laut_ändern(self, v):
        self.track.set_volume(self.volume.get())

